org.appng.core.service

## Class ApplicationProperties

- java.lang.Object
- - org.appng.core.service.ApplicationProperties

-     public class ApplicationProperties
      extends Object

  Utility class providing `Application`-related constants.
  Author:
    Matthias Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FEATURE_IMAGE_PROCESSING` Constant for the feature image-processing.
    `static String` | `FEATURE_INDEXING` Constant for the feature indexing.
    `static String[]` | `FEATURES` An array containing the names of all available `Application` features.
    `static String` | `FLYWAY_MIGRATION_PACKAGE` Optional property describing the package where Flyway Java migration reside
    `static String` | `PROP_ACTIVE_PROFILES` Name for the application property that contains a comma-separated list of active profiles
    `static String` | `PROP_CACHE_CONFIG` Name for the application property that contains a multiline value for configuring application caches. Format:

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FEATURE_IMAGE_PROCESSING

          public static final String FEATURE_IMAGE_PROCESSING

      Constant for the feature image-processing.
      See Also:
        `FeatureProvider.getImageCache()`, `FeatureProvider.getImageProcessor(java.io.File, String)`, Constant Field Values

    - #### FEATURE_INDEXING

          public static final String FEATURE_INDEXING

      Constant for the feature indexing.
      See Also:
        `FeatureProvider.getIndexer()`, Constant Field Values

    - #### PROP_ACTIVE_PROFILES

          public static final String PROP_ACTIVE_PROFILES

      Name for the application property that contains a comma-separated list of active profiles
      See Also:
        Constant Field Values

    - #### PROP_CACHE_CONFIG

          public static final String PROP_CACHE_CONFIG

      Name for the application property that contains a multiline value for configuring application caches.
      Format:

           mycache.ttl = 3600
           mycache.maxIdle = 3600

      See Also:
        Constant Field Values

    - #### FEATURES

          public static final String[] FEATURES

      An array containing the names of all available `Application` features.
      See Also:
        `FeatureProvider`

    - #### FLYWAY_MIGRATION_PACKAGE

          public static final String FLYWAY_MIGRATION_PACKAGE

      Optional property describing the package where Flyway Java migration reside
      See Also:
        Constant Field Values

Copyright © 2011–2023 aiticon GmbH. All rights reserved.